/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.ec3.Konto;

public class TestElementCollectionBasicType {
	
		public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();
		
		Konto konto = new Konto();
		konto.getTans().add("456789");
		konto.getTans().add("123456");
		konto.getTans().add("234567");
		konto.getTans().add("345678");
		em.persist(konto);
		
//		Konto konto = em.find(Konto.class, 1);
//		for (String tan : konto.getTans()) {
//			System.out.println(tan);
//		}
		
		em.getTransaction().commit();

		
		em.getTransaction().begin();
		konto = em.find(Konto.class, 1);
		//konto.getTans().remove("234567");
		for (String tan : konto.getTans()) {
			System.out.println(tan);
		}
		
		em.getTransaction().commit();
		
		em.clear();
		emf.close();
	}
}
